
Redmine - Defect #19588

Invalid column size for language pt-BR

2015-04-10 16:05 - José Cavalcanti

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.1

Description

I installed Redmine 3.0.1 recently with default language pt-BR, no problem during the instalation. However, when logging in the first

time I got error 500. Looking logs I found:

Mysql2::Error: Data too long for column 'language' at row 1

 I saw the table users and confirmed the size of column language is 2, but the language I was trying to put is 'pt-BR' (size 4).

After that I got another errors on non-created tables like `settings`

Full error log:

Mysql2::Error: Data too long for column 'language' at row 1: INSERT INTO `users` (`firstname`, `la

stname`, `mail`, `language`, `login`, `hashed_password`, `admin`, `created_on`, `updated_on`) VALU

ES ('Administrator', 'Admin', 'tec.ic.gc@phoebustecnologia.com.br', 'pt-br', 'admin', '594e6525619

e6b4f20c0f523c95b0f0830b9c013', 1, '2015-04-10 10:49:29.979955', '2015-04-10 10:49:29.979955')

Mysql2::Error: Unknown column 'roles.builtin' in 'where clause': SELECT  1 AS one FROM `roles` WHE

RE `roles`.`builtin` = 0 LIMIT 1

Started GET "/redmine/" for 127.0.0.1 at 2015-04-10 10:54:23 -0300

Processing by WelcomeController#index as HTML

Mysql2::Error: Table 'bitnami_redmine.settings' doesn't exist: SHOW FULL FIELDS FROM `settings`

Completed 500 Internal Server Error in 0ms

ActiveRecord::StatementInvalid (Mysql2::Error: Table 'bitnami_redmine.settings' doesn't exist: SHO

W FULL FIELDS FROM `settings`):

  app/models/setting.rb:186:in `check_cache'

  app/controllers/application_controller.rb:100:in `user_setup'

Started GET "/redmine/" for 127.0.0.1 at 2015-04-10 10:56:31 -0300

Processing by WelcomeController#index as HTML

Mysql2::Error: Table 'bitnami_redmine.settings' doesn't exist: SHOW FULL FIELDS FROM `settings`

Completed 500 Internal Server Error in 16ms

ActiveRecord::StatementInvalid (Mysql2::Error: Table 'bitnami_redmine.settings' doesn't exist: SHO

W FULL FIELDS FROM `settings`):

  app/models/setting.rb:186:in `check_cache'

  app/controllers/application_controller.rb:100:in `user_setup'

Related issues:

Related to Redmine - Defect #20176: Defect on user table migrate code Closed

History

#1 - 2015-04-10 16:23 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Wont fix

Please contact bitnami team.

#2 - 2015-04-10 16:23 - Toshi MARUYAMA
- Resolution changed from Wont fix to Invalid

#3 - 2015-06-25 23:53 - Jonatas Wesley Gonçalves

This is not a problem from Bitnami, its a problem in the migrate code of user table. I described the problem on the issue that i create today.  #20176

I wrote the solution in the issue too.

#4 - 2015-06-26 08:33 - Toshi MARUYAMA

- Related to Defect #20176: Defect on user table migrate code  added
